> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate Recipient

> Deactivate a recipient by ID.



## OpenAPI

````yaml POST /v1/recipients/{recipientId}/deactivate
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients/{recipientId}/deactivate:
    post:
      tags:
        - Recipient Endpoints
      summary: Deactivate Recipient
      description: Deactivate a recipient by ID.
      operationId: deactivateRecipient
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipient:
                    type: object
                    properties:
                      accountName:
                        type: string
                        example: John Doe
                      accountNumber:
                        type: string
                        example: '0123456789'
                      active:
                        type: boolean
                        example: false
                      bankCode:
                        type: string
                        example: '058'
                      bankName:
                        type: string
                        example: Guaranty Trust Bank
                      country:
                        type: string
                        example: NG
                      createdAt:
                        type: string
                        example: '2025-03-17T15:42:33.789Z'
                      currency:
                        type: string
                        example: NGN
                      id:
                        type: string
                        example: rec_abcdef123456789
                      type:
                        type: string
                        example: bank_account
                      updatedAt:
                        type: string
                        example: '2025-03-17T19:05:12.456Z'
              examples:
                Success Response:
                  value:
                    recipient:
                      accountName: John Doe
                      accountNumber: '0123456789'
                      active: false
                      bankCode: '058'
                      bankName: Guaranty Trust Bank
                      country: NG
                      createdAt: '2025-03-17T15:42:33.789Z'
                      currency: NGN
                      id: rec_abcdef123456789
                      type: bank_account
                      updatedAt: '2025-03-17T19:05:12.456Z'
        '404':
          description: Error Response - Recipient Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: not_found
                  message:
                    type: string
                    example: Recipient not found
                  statusCode:
                    type: number
                    example: 404
              examples:
                Error Response - Recipient Not Found:
                  value:
                    error: not_found
                    message: Recipient not found
                    statusCode: 404

````